Create Unity Settings Daemon so can remain on old GNOME Settings Daemon version

Bug #1277487 reported by Robert Ancell on 2014-02-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Medium
Robert Ancell
gnome-power-manager (Ubuntu)
Medium
Robert Ancell
gnome-session (Ubuntu)
Medium
Robert Ancell
indicator-session (Ubuntu)
Medium
Robert Ancell
unity-control-center (Ubuntu)
Medium
Robert Ancell
unity-greeter (Ubuntu)
Medium
Robert Ancell
unity-settings-daemon (Ubuntu)
Medium
Robert Ancell

Bug Description

Ubuntu/Unity uses the GNOME settings daemon for settings. We've made a lot of changes appropriate for Ubuntu and Unity (32 patches) which makes it hard to maintain and creates a conflict for Ubuntu GNOME to use newer upstream versions. Unity 7 will be replaced by Unity 8 in the future which is unlikely to need a settings daemon (this functionality will be built into the shell).

So we can continue to remain on the current version of GNOME settings daemon but allow Ubuntu GNOME to continue to update we will create a new project lp:unity-settings-daemon which is a copy of GNOME settings daemon 3.8.6.1 but with appropriate renaming so both can be installed.

A number of packages that refer to gnome-settings-daemon need to be updated to refer to unity-settings-daemon (see bug tasks).

A PPA for testing is https://launchpad.net/~ubuntu-desktop/+archive/unity-control-center

Related branches

Robert Ancell (robert-ancell) wrote :

See associated bug 1257505 for Unity Control Center migration.

Changed in unity-settings-daemon (Ubuntu):
importance: Undecided → Wishlist
importance: Wishlist → Medium
status: New → Fix Released
Robert Ancell (robert-ancell) wrote :

See bug 1277485 for unity-settings-daemon MIR

Changed in unity-greeter (Ubuntu):
status: New → In Progress
assignee: nobody → Robert Ancell (robert-ancell)
importance: Undecided → Medium
Changed in indicator-session (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in unity-control-center (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
status: Triaged → In Progress
Changed in indicator-session (Ubuntu):
status: Triaged → In Progress
Changed in unity-control-center (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in indicator-session (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in unity-settings-daemon (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-power-manager (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Robert Ancell (robert-ancell)
Changed in compiz (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in gnome-session (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-control-center - 14.04.1-0ubuntu5

---------------
unity-control-center (14.04.1-0ubuntu5) trusty; urgency=medium

  * debian/control:
    - Run with either gnome-settings-daemon or unity-settings-daemon
      (LP: #1277487)
 -- Robert Ancell <email address hidden> Fri, 07 Feb 2014 16:22:09 +0000

Changed in unity-control-center (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-power-manager - 3.8.2-1ubuntu2

---------------
gnome-power-manager (3.8.2-1ubuntu2) trusty; urgency=medium

  * debian/control:
    - Depend on gnome-settings-daemon-schemas so can work with
      unity-settings-daemon (LP: #1277487)
 -- Robert Ancell <email address hidden> Fri, 07 Feb 2014 17:02:16 +0000

Changed in gnome-power-manager (Ubuntu):
status: In Progress → Fix Released
Changed in gnome-session (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-session - 3.9.90-0ubuntu7

---------------
gnome-session (3.9.90-0ubuntu7) trusty; urgency=medium

  * debian/control:
    - Depend on gnome-settings-daemon-schemas so can work with
      unity-settings-daemon (LP: #1277487)
 -- Robert Ancell <email address hidden> Fri, 14 Feb 2014 17:28:00 +1300

Changed in gnome-session (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-session - 12.10.5+14.04.20140214-0ubuntu1

---------------
indicator-session (12.10.5+14.04.20140214-0ubuntu1) trusty; urgency=low

  [ Robert Ancell ]
  * Only depend on gnome-settings-daemon-schemas so can work with unity-
    settings-daemon only (LP: #1277487)
 -- Ubuntu daily release <email address hidden> Fri, 14 Feb 2014 15:53:35 +0000

Changed in indicator-session (Ubuntu):
status: In Progress → Fix Released
Changed in compiz (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Robert Ancell (robert-ancell)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.10+13.10.20131011-0ubuntu5

---------------
compiz (1:0.9.10+13.10.20131011-0ubuntu5) trusty; urgency=medium

  * debian/control: Depend on gnome-settings-daemon-schemas so can work with
    unity-settings-daemon (LP: #1277487)
 -- Robert Ancell <email address hidden> Mon, 17 Feb 2014 11:15:49 +1300

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Robert Ancell (robert-ancell) wrote :

It looks like we can't remove gnome-settings-daemon until we update the gnome-session file /usr/share/gnome-session/sessions/ubuntu.session:

[GNOME Session]
Name=Ubuntu
RequiredComponents=gnome-settings-daemon;compiz;
DesktopName=Unity

We need to set RequiredComponents to unity-settings-daemon;compiz;

Changed in gnome-session (Ubuntu):
status: Fix Released → Triaged
Changed in gnome-session (Ubuntu):
status: Triaged → In Progress
tags: added: ubuntu-desktop-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-session - 3.9.90-0ubuntu8

---------------
gnome-session (3.9.90-0ubuntu8) trusty; urgency=medium

  * Split ubuntu-session out of gnome-session. Make gnome-session temporarily
    depend on ubuntu-session so users automatically keep the Ubuntu session
    configuration installed. We can drop this once all users are sure to have
    migrated. At the same time we can make ubuntu-session depend on
    unity-settings-daemon and compiz.
  * Move the upstart job from gnome-session to gnome-session-bin
  * debian/patches/50_ubuntu_sessions.patch:
    - The ubuntu gnome-session requires unity-settings-daemon, not
      gnome-settings-daemon (LP: #1277487)
 -- Robert Ancell <email address hidden> Mon, 17 Feb 2014 16:33:30 +1300

Changed in gnome-session (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 14.04.3-0ubuntu1

---------------
unity-greeter (14.04.3-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Generate version stamp on background (LP: #1269901)
    - Add option to disable hostname in login screen (LP: #1208469)
    - Use unity-settings-daemon instead of gnome-settings-daemon (LP: #1277487)
    - Fix accessible name in shutdown dialog
 -- Robert Ancell <email address hidden> Thu, 20 Feb 2014 17:17:59 +1300

Changed in unity-greeter (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers